Installer - Bug #10238

"--no-enable-puppet” breaks foreman-installer
04/22/2015 09:56 AM - Sebastiaan Glazenborg

Status: New
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.8.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Trying to test foreman using Saltstack instead of puppet.
OS: CentOS 7.1

Foreman:
Version :1.8.0
Release :0.1.RC3.el7

[root@foremanl ~]# foreman—installer \
—--no-enable-puppet \
——enable-foreman-plugin-salt

Could not start Service[foreman-proxy]: Execution of '/usr/bin/systemctl start foreman-proxy' ret
urned 1: Job for foreman-proxy.service failed. See 'systemctl status foreman-proxy.service' and 'j
ournalctl -xn' for details.

/Stage [main] /Foreman_proxy: :Service/Service[foreman-proxy]/ensure: change from stopped to running

failed: Could not start Service[foreman-proxy]: Execution of '/usr/bin/systemctl start foreman-pr
oxy' returned 1: Job for foreman-proxy.service failed. See 'systemctl status foreman-proxy.service

' and 'journalctl -xn' for details.

Could not start Servicel[httpd]: Execution of '/usr/bin/systemctl start httpd' returned 1: Job for
httpd.service failed. See 'systemctl status httpd.service' and 'Jjournalctl -xn' for details.
/Stage [main] /Apache: :Service/Service[httpd] /ensure: change from stopped to running failed: Could
not start Service[httpd]: Execution of '/usr/bin/systemctl start httpd' returned 1: Job for httpd.
service failed. See 'systemctl status httpd.service' and 'Jjournalctl -xn' for details.

/Stage[main] /Foreman_proxy: :Register/Foreman_smartproxy[foremanl.domain.local]: Failed to call re
fresh: Could not load data from https://foremanl.domain.local
/Stage[main] /Foreman_proxy: :Register/Foreman_smartproxy[foremanl.domain.local]: Could not load da

ta from https://foremanl.domain.local
[root@foremanl foreman]# systemctl status httpd.service

Apr 22 11:24:38 foremanl.domain.local httpd[6255]: SSLCertificateFile: file '/var/lib/puppet/ssl/c
erts/foremanl.domain.local.pem' does not exist or is empty

[root@foremanl foreman]# 11 /var/lib/puppet/ssl/certs/
total O

Related issues:
Blocked by Installer - Tracker #10161: Support Multiple Installation Scenarios Resolved 04/16/2015

History

#1 - 04/22/2015 10:09 AM - Dominic Cleal

- Project changed from Foreman to Installer

05/18/2024 12




Yeah, this is expected as the default SSL configuration relies on Puppet's certificate authority. It'd be possible to figure out and document a couple of
scenarios, a) using your own certificate(s), b) no SSL configuration.

#2 - 04/22/2015 10:15 AM - Sebastiaan Glazenborg

Ok; so instead of a bug this should be a feature request?
c¢) change the dependency; not rely on Puppet generated SSL files?
For my info: "a) using your own certificate(s)" you are referring to these options correct?

--foreman-server-ssl-ca
--foreman-server-ssl-cert
--foreman-server-ssl-chain
--foreman-server-ssl-crl
--foreman-server-ssl-key

--foreman-proxy-ssl-ca
--foreman-proxy-ssl-cert
--foreman-proxy-ssl-key
--foreman-proxy-ssidir

#3 - 04/22/2015 10:19 AM - Dominic Cleal

Yes.

#4 - 05/12/2015 02:24 PM - Stephen Benjamin
- Blocked by Tracker #10161: Support Multiple Installation Scenarios added

05/18/2024 22
